/// <reference types="react" />
export declare type PaywallProps = {
    accessPaymentsKeys: {
        checkoutPayKey: string;
        braintreeAuthorization?: string;
        stripePromise?: any;
        amazonSellerId: string;
        amazonClientId: string;
    };
    stripeProp: {
        price: number;
        currency: string;
    };
    countryCode: string;
    onSubmit: any;
    isApplePayActive: boolean;
    isGooglePayActive: boolean;
    isPaypalActive: boolean;
    isAmazonActive: boolean;
    env: string;
    onAmazonButtonClicked: () => void;
    formText?: any;
    onComponentReady?: () => void;
    cardError: string;
    error: string;
    loading?: boolean;
    forceReadyComponentTime?: number;
    isModalCheckoutOpened?: boolean;
    modalCheckoutWindowTriggered?: (arg: boolean) => void;
};
export declare const Paywall: ({ onAmazonButtonClicked, accessPaymentsKeys, countryCode, onSubmit, stripeProp, isApplePayActive, isGooglePayActive, isPaypalActive, isAmazonActive, env, formText, onComponentReady, cardError, error, loading, forceReadyComponentTime, isModalCheckoutOpened, modalCheckoutWindowTriggered }: PaywallProps) => JSX.Element;
